## ros-kinetic-turtlebot-bringup 2.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot_bringup)

find_package(catkin REQUIRED COMPONENTS)

catkin_package()

catkin_add_env_hooks(25.turtlebot SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

install(
    PROGRAMS
      scripts/turtlebot_addr.py
      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY param
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY icons
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY interactions
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-turtlebot-bringup (2.4.2-0xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-kinetic-turtlebot-bringup (2.4.1-0xenial) xenial; urgency=high

  * Modify R200 launch file.
    Modified the R200 3D sensor launch file
    to conform more closely to the other
    open_ni2-style sensor launch files. This
    allows the data processing arguments passed
    in to correctly pass through and control
    image processing.
    This allows the turtlebot_follower package,
    for example, to set "depth_processing" to
    true to enable the /camera/depth/depth_rect/
    topic with the R200 as it can with other
    cameras.
  * Refactor cmd_vel_mux.
    Moved mobile_base_nodelet_manager and cmd_vel_mux to a
    common, higher-level launch file.
    Currently each base-specific mobile_base.launch.xml
    loaded the same cmd_vel_mux node with the same configuration.
    To reduce this redundancy, launching this nodelet has been
    moved to the common, higher-level mobile_base.launch.xml.
    The mobile_base_nodelet_manager has been moved up to facilitate
    this change.
  * Remove unnecessary mobile_base.launch.xml layer
    mobile_base.launch.xml currently is just a pass-through to
    include the TURTLEBOT_BASE-specific launch file.  Simply
    removed this unnecessary layer.
  * Contributors: Kevin C. Wells

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-kinetic-turtlebot-bringup (2.4.0-0xenial) xenial; urgency=high

  * Add support for Intel R200 camera
    Added necessary launch, urdf, etc. files to
    add support for the R200 camera in Turtlebot.
    Updated r200 URDF to inclue proper mounting.
    Added runtime dependency on realsense_camera package.
  * [bringup] remove outdated broken comment
  * refactor concert content out of minimal and create separate concert_minimal.launch
    The concert_minimal.launch includes minmal.launch
  * propagate netbook battery to other similar launch file
  * disable the battery node if TURTLEBOT_BATTERY is set to None
    Fixes #224 <https://github.com/turtlebot/turtlebot/issues/224>
  * Contributors: Daniel Stonier, Kevin C. Wells, Tully Foote

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 01 Nov 2016 07:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.12-0xenial) xenial; urgency=high

  * update xacro usage for jade deprecations
    comment out unused arguments generating errors
  * add support for Orbbec Astra
  * add the teleop switch script as a default input to support joystick interactive follower
  * use rocon_apps/make_a_map for make a map interaction closes #210 <https://github.com/turtlebot/turtlebot/issues/210>
  * Fix icon for interactions.
  * Contributors: Jihoon Lee, Tully Foote, commaster90

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 Jun 2016 07:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.11-0xenial) xenial; urgency=high

  * interaction fix closes #208 <https://github.com/turtlebot/turtlebot/issues/208>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 15 Apr 2015 07:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.10-0xenial) xenial; urgency=high

  * update interaction name regarding android pairing as change of android apps name
  * Contributors: dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 02 Apr 2015 07:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.9-0xenial) xenial; urgency=high

  * add chirp in android pairing closes #205 <https://github.com/turtlebot/turtlebot/issues/205>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 30 Mar 2015 07:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.8-0xenial) xenial; urgency=high

  * update compatibility for upgrade turtlebot android apps
  * Merge pull request #201 <https://github.com/turtlebot/turtlebot/issues/201> from dwlee/indigo_teleop
    Update interaction
  * [turtlebot_bringup] fix conflicts in the turtlebot base launchers
  * [turtlebot_bringup] doc strings for roslaunch args.
  * update android teleop remapping rule and add kitkat in compatibility
  * add rapp preferred configuration
  * expose the interactions list in a way that conforms to the rest of the turtlebot environment settings.
  * doc'ified some url args.
  * bugfixes incorrect concert_whitelist arg default, fixes #199 <https://github.com/turtlebot/turtlebot/issues/199>.
  * Merge branch 'indigo' of https://github.com/turtlebot/turtlebot into indigo
  * visualisation interactions
  * add ps3 joystick interactions closes #196 <https://github.com/turtlebot/turtlebot/issues/196>
  * Contributors: Daniel Stonier, Jihoon Lee, dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 23 Mar 2015 07:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.7-0xenial) xenial; urgency=high

  * switch openni driver to openni2 for asus xtion pro
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 02 Mar 2015 08:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.6-0xenial) xenial; urgency=high

  * Merge pull request #194 <https://github.com/turtlebot/turtlebot/issues/194> from turtlebot/asus_center
    Configurable 3d sensor
  * update urdf. now new position uses asus_xtion_pro. Old position is asus_xtion_pro_offset
  * update env hook to  to use centered asus
  * add 3dsensor aluncher
  * asus is now default
  * updates
  * Merge branch 'indigo' into 3dsensor_config
  * separate launchers for kinect and asus
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 27 Feb 2015 08:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.5-0xenial) xenial; urgency=high

  * bringup depend on capabilities. capabilities should not depend on bringup #185 <https://github.com/turtlebot/turtlebot/issues/185>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 12 Jan 2015 08:00:00 -0000

ros-kinetic-turtlebot-bringup (2.3.4-0xenial) xenial; urgency=high



=== debian/control ===
Source: ros-kinetic-turtlebot-bringup
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/turtlebot_bringup
Standards-Version: 3.9.2

Package: ros-kinetic-turtlebot-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-astra-launch, ros-kinetic-create-node, ros-kinetic-depthimage-to-laserscan, ros-kinetic-diagnostic-aggregator, ros-kinetic-freenect-launch, ros-kinetic-kobuki-bumper2pc, ros-kinetic-kobuki-capabilities, ros-kinetic-kobuki-node, ros-kinetic-kobuki-safety-controller, ros-kinetic-laptop-battery-monitor, ros-kinetic-openni2-launch, ros-kinetic-realsense-camera, ros-kinetic-robot-pose-ekf, ros-kinetic-robot-state-publisher, ros-kinetic-rocon-app-manager, ros-kinetic-rocon-bubble-icons, ros-kinetic-turtlebot-capabilities, ros-kinetic-turtlebot-description, ros-kinetic-yocs-cmd-vel-mux, ros-kinetic-zeroconf-avahi
Description: turtlebot_bringup provides roslaunch scripts for starting the TurtleBot base functionality.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-turtlebot-bringup//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
